Highlighted

Are all Flex SDKs stopped from Adobe?

Community Beginner ,
May 10, 2020

Copy link to clipboard

Copied

I have 2 questions,

1.

Context: All links to download Flex SDK are removed from Adobe websites.

Question: So does it mean we also should stop using it which we had downloaded earlier from Adobe website?

 

2.

Context: We use Flex SDK 4.6 for building AIR application which interally launchs a local .swf file using below Object tag.

 

 

<object type="application/x-shockwave-flash" data="Sample.swf" width="100%" height="100%">

 

 

We are packaging it into captive runtime bundle using adt command with below option

 

 

-target bundle

 

 

We are specifically using Flex SDK 4.6 version as it has Flash Player inside SDK, so no need to install Flash Player explicitly on machine.

Question: As Adobe is ending support for Browser Flash Player in Dec 2020, Can we still go ahead and use Flash Player present inside Flex SDK 4.6 by using Captive Runtime Bundle option after Dec 2020?

 

PS : I have checked Flex SDK provided from Harman it doesn't have Flash Player inside it. So even if we do Captive Runtime Bundle it needs us to install Flash Player explicitly which we dont want to do.

 

TOPICS
Air beta, Development, End of life, Installation, Marketplace, Packaging

Views

396

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Are all Flex SDKs stopped from Adobe?

Community Beginner ,
May 10, 2020

Copy link to clipboard

Copied

I have 2 questions,

1.

Context: All links to download Flex SDK are removed from Adobe websites.

Question: So does it mean we also should stop using it which we had downloaded earlier from Adobe website?

 

2.

Context: We use Flex SDK 4.6 for building AIR application which interally launchs a local .swf file using below Object tag.

 

 

<object type="application/x-shockwave-flash" data="Sample.swf" width="100%" height="100%">

 

 

We are packaging it into captive runtime bundle using adt command with below option

 

 

-target bundle

 

 

We are specifically using Flex SDK 4.6 version as it has Flash Player inside SDK, so no need to install Flash Player explicitly on machine.

Question: As Adobe is ending support for Browser Flash Player in Dec 2020, Can we still go ahead and use Flash Player present inside Flex SDK 4.6 by using Captive Runtime Bundle option after Dec 2020?

 

PS : I have checked Flex SDK provided from Harman it doesn't have Flash Player inside it. So even if we do Captive Runtime Bundle it needs us to install Flash Player explicitly which we dont want to do.

 

TOPICS
Air beta, Development, End of life, Installation, Marketplace, Packaging

Views

397

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
May 10, 2020 0
Explorer ,
May 11, 2020

Copy link to clipboard

Copied

Flash player is not "inside the SDK" so after 2020 you will have to redevelop without Flash or compile the project as an AIR app. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 11, 2020 0
Community Beginner ,
May 11, 2020

Copy link to clipboard

Copied

Hi gerardm13115154 thanks for the response.

Adobe was providing Flash Player with Flex SDK 4.6, 
https://helpx.adobe.com/flash-builder/release-note/flex-4-6-sdk-release.html

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 11, 2020 0
New Here ,
Jul 15, 2020

Copy link to clipboard

Copied

 

vishwanath119,
I also saw that the flex sdk links are taken down and only adobe air sdk links are there. What have you guys decided ? 
I am able to compile my code with flex 4.6 sdk but not with latest air sdk. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 15, 2020 0
Contributor ,
Jul 15, 2020

Copy link to clipboard

Copied

adityazagade1 - I suggest that you search this forum for "Harman". - Douglas   

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 15, 2020 0
New Here ,
Jul 15, 2020

Copy link to clipboard

Copied

Okay, So after realising that the sdk links were no longer present, I did some research and following is my observation.

1. Adobe air sdk is available to download. However they require your project to be pure actionscript.

2. Adobe flex was donated to Apache flex. I was able to compile my code using Apache Flex 4.16.1.  You should be able to do that. Also apache flex is open source.

3. I struggled to get apache flex sdk setup. I used the installer to get sdk. Then post apache flex sdk installation, I referred to its readme file's  --> 'Using the Binary Distribution' Section and setup sdk properly. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 15, 2020 0